Bug 1367790 - SRIOV- To assign neutron port to PF we need to set in whitelist the PCI ID
Summary: SRIOV- To assign neutron port to PF we need to set in whitelist the PCI ID
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 10.0 (Newton)
Assignee: RHOS Documentation Team
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: 1325686
TreeView+ depends on / blocked
 
Reported: 2016-08-17 13:18 UTC by Eran Kuris
Modified: 2016-11-02 08:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-02 08:54:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eran Kuris 2016-08-17 13:18:24 UTC
Description of problem:
If we want to assign neutron port to PF (rfe- https://bugzilla.redhat.com/show_bug.cgi?id=1325686)
we should set in controller under : /etc/neutron/plugins/ml2/ml2_conf_sriov.ini
The PF ID under this parameter : 
supported_pci_vendor_devs = 8086:154d
* it is possible to set both IDs   PF & VFs 

Version-Release number of selected component (if applicable):
RHOs 10 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Eran Kuris 2016-08-24 11:35:51 UTC
you can use this guide : 

https://docs.google.com/document/d/1qQbJlLI1hSlE4uwKpmVd0BoGSDBd8Z0lTzx5itQ6WL0/edit#

Comment 3 Assaf Muller 2016-08-29 20:13:59 UTC
TripleO will support SRIOV in OSP 10, in which case this parameter will be an input to a Heat template that is self documented. I'm not sure if we actually need separate documentation?

Here is the patch in the TripleO SRIOV effort: https://review.openstack.org/#/c/327735/3/puppet/services/neutron-plugin-ml2.yaml, it seems to default to Intel & Mellanox, Eran do you think we can close the bug?

Comment 4 Eran Kuris 2016-08-30 07:19:59 UTC
let's wait until we get TripleO  and I will check that this parameter is not missing. After that I will close it .

Comment 5 Ofer Blaut 2016-08-30 07:37:56 UTC
We must check tripleo support and close the bug if it works

Comment 6 Nir Yechiel 2016-09-13 13:44:30 UTC
Now that TripleO support is merged, can you confirm if this bug is still needed?

Thanks,
Nir

Comment 7 Eran Kuris 2016-09-15 07:21:24 UTC
I will test it and let you know. we dont have stable puddle of tripleO so when we get one  I will check it and update the bug

Comment 8 Eran Kuris 2016-11-02 08:54:48 UTC
After I checked it on OSPD10 & OSP10  puddle 2016-10-06.1  
I success to deploy SRIOV (with PF& VF support).
The process was to set the parameters in yaml file and deploy overcloud with SRIOV.


Note You need to log in before you can comment on or make changes to this bug.